aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/proofgeneral
diff options
context:
space:
mode:
authorGravatar David Aspinall <da@inf.ed.ac.uk>2008-02-15 18:00:48 +0000
committerGravatar David Aspinall <da@inf.ed.ac.uk>2008-02-15 18:00:48 +0000
commit212e28362d750fa949696676423c6d4d3c93ab42 (patch)
treecbd77cc915108dc6de12d4bc4fa923bdd97a9feb /bin/proofgeneral
parentab64c4b648bee4430cf889f2063dc79da537d449 (diff)
Update bug reporting address
Diffstat (limited to 'bin/proofgeneral')
-rw-r--r--bin/proofgeneral26
1 files changed, 13 insertions, 13 deletions
diff --git a/bin/proofgeneral b/bin/proofgeneral
index 017f4124..1c094c68 100644
--- a/bin/proofgeneral
+++ b/bin/proofgeneral
@@ -16,7 +16,6 @@
# $Id$
#
-
# The default path should work if you are using the Proof General RPM
# or unpack Proof General in your home directory.
# NB: no trailing backslash here!
@@ -31,6 +30,17 @@ if [ -z "$EMACS" ] || [ ! -x "$EMACS" ]; then
fi
fi
+# Try to find Proof General directory
+if [ -d $PGHOMEDEFAULT ]; then
+ PGHOME=$PGHOMEDEFAULT
+elif [ -d /usr/share/${EMACSVERSION}/site-lisp/proofgeneral ]; then
+ PGHOME=/usr/share/${EMACSVERSION}/site-lisp/proofgeneral
+else
+ echo "Cannot find the Proof General lisp files: please set PGHOMEDEFAULT"
+ exit 1
+fi
+
+
NAME=`basename $0`
HELP="Usage: proofgeneral [OPTION] [FILE]...
@@ -49,8 +59,8 @@ Examples:
$NAME Example.thy Load Proof General editing Isar file Example.thy
$NAME example.v Load Proof General editing Coq file Example.v
-For documentation and latest versions, visit http://proofgeneral.inf.ed.ac.uk.
-Report bugs to <da+pg-bugs@inf.ed.ac.uk>."
+For documentation and latest versions, visit http://proofgeneral.inf.ed.ac.uk
+Report bugs at http://proofgeneral.inf.ed.ac.uk/trac"
#
VERSIONBLURB='David Aspinall.
@@ -95,16 +105,6 @@ fi
EMACSVERSION=`basename $EMACS`
-# Try to find Proof General directory
-if [ -d $PGHOMEDEFAULT ]; then
- PGHOME=$PGHOMEDEFAULT
-elif [ -d /usr/share/${EMACSVERSION}/site-lisp/proofgeneral ]; then
- PGHOME=/usr/share/${EMACSVERSION}/site-lisp/proofgeneral
-else
- echo "Cannot find the Proof General lisp files: please set PGHOMEDEFAULT"
- exit 1
-fi
-
# Deal with UTF issue
if [ `locale | grep LC_CTYPE | grep UTF` ]; then
echo "Warning: detected Unicode LC_CTYPE setting, switched back to C"